glutSolidTorus(3GLUT)

NAME
glutSolidTorus, glutWireTorus - render a solid or wireframe torus (doughnut) respectively.

SYNTAX
#include <GLUT/glut.h>

void glutSolidTorus(GLdouble innerRadius,
                    GLdouble outerRadius,
                    GLint nsides, GLint rings);
void glutWireTorus(GLdouble innerRadius,
                   GLdouble outerRadius,
                   GLint nsides, GLint rings);

ARGUMENTS

innerRadius
    Inner radius of the torus.

outerRadius
    Outer radius of the torus.

nsides
    Number of sides for each radial section.

rings
    Number of radial divisions for the torus.

DESCRIPTION
glutSolidTorus and glutWireTorus render a solid or wireframe torus (doughnut) respectively centered at the modeling coordinates origin whose axis is aligned with the Z axis.

SEE ALSO
glutSolidSphere, glutSolidCube, glutSolidCone, glutSolidDodecahedron, glutSolidOctahedron, glutSolidTetrahedron, glutSolidIcosahedron, glutSolidTeapot

AUTHOR
Mark J. Kilgard (mjk@nvidia.com)